<?php

require_once("../config/conexion.php");
require_once("../models/Matricula.php");
require_once("../models/Permisos.php");
$matricula = new Matricula();
/* =============================================
  JAVASCRIPT
  ============================================= */
switch ($_GET["op"]) {
    case "consultar_matricula":
        $datos = $matricula->Matricula_por_ID($_POST["matriculadbk"]);
        if (is_array($datos) == true and count($datos) <> 0) {
            foreach ($datos as $row) {
                $output["matriculadbk"] = $row["matriculadbk"];
                $output["estudiante"] = $row["estudiante"];
                $output["carrera"] = $row["codcar"];
                $output["periodo"] = $row["periodo"];
                $output["estado"] = $row["estado"];
                $output["fechacrea"] = $row["fechacrea"];
                $output["fecha"] = $row["fecha"];
                $output["itinerario"] = $row["itinerario"];
                $output["tipo"] = $row["tipo"];
            }
            echo json_encode($output);
        }
        break;
    case "listar":
        $datos = $matricula->Consultar($_GET["fil"]);
        $data = Array();
        $permiso = new Permisos();
        $resultado = $permiso->Permisos_por_Perfil("MATRICULA", $_SESSION["perfil"]);
        foreach ($resultado as $row) {
            $estado = $row["estado"];
            $actualizar = $row["actualizar"];
            $eliminar = $row["eliminar"];
            $contacto = $row["contacto"];
            $leer = $row["leer"];
            $asignar = $row["asignar"];
        }
        $accesos = "";
        foreach ($datos as $row) {
            $sub_array = array();
            $sub_array[] = $row["matriculadbk"];
            $sub_array[] = $row["estudiante"];
            $sub_array[] = $row["carrera"];
            $sub_array[] = $row["periodo"];
            $sub_array[] = $row["estado"];
            if ($asignar == 1) {
                $accesos = $accesos . '
                <button type="button" onClick="asignar(' . $row["matriculadbk"] . ');" id="' . $row["matriculadbk"] . '" class="btn btn-outline-success btn-icon"><div><i class="fa fa-folder-open"></i></div></button>';
            }
            if ($actualizar == 1) {
                $accesos = $accesos . '
                <button type="button" onClick="editar(' . $row["matriculadbk"] . ');" id="' . $row["matriculadbk"] . '" class="btn btn-outline-warning btn-icon"><div><i class="fa fa-edit"></i></div></button>';
            }
            if ($eliminar == 1) {
                $accesos = $accesos . '
                <button type="button" onClick="eliminar(' . $row["matriculadbk"] . ');" id="' . $row["matriculadbk"] . '" class="btn btn-outline-danger btn-icon"><div><i class="fa fa-times"></i></div></button>';
            }
            if ($leer == 1) {
                $accesos = $accesos . '
                <button type="button" onClick="asignar(' . $row["matriculadbk"] . ');" id="' . $row["matriculadbk"] . '" class="btn btn-outline-primary btn-icon"><div><i class="fa fa-eye"></i></div></button>';
            }
            $sub_array[] = $accesos;
            $data[] = $sub_array;
            $accesos = "";
        }
        $results = array(
            "sEcho" => 1,
            "iTotalRecords" => count($data),
            "iTotalDisplayRecords" => count($data),
            "aaData" => $data
        );
        echo json_encode($results);
        break;
    case "aportes":
        $datos = $matricula->ConsultarAportes();
        $data = Array();
        $permiso = new Permisos();
        $resultado = $permiso->Permisos_por_Perfil("APORTES", $_SESSION["perfil"]);
        foreach ($resultado as $row) {            
            $leer = $row["leer"];
        }
        $accesos = "";
        foreach ($datos as $row) {
            $sub_array = array();
            $sub_array[] = $row["matriculadbk"];
            $sub_array[] = $row["carrera"];
            $sub_array[] = $row["periodo"];
            if ($leer == 1) {
                $accesos = $accesos . '
                <button type="button" onClick="ver(' . $row["matriculadbk"] . ');" id="' . $row["matriculadbk"] . '" class="btn btn-outline-primary btn-icon"><div><i class="fa fa-eye"></i></div></button>';
            }
            $sub_array[] = $accesos;
            $data[] = $sub_array;
            $accesos = "";
        }
        $results = array(
            "sEcho" => 1,
            "iTotalRecords" => count($data),
            "iTotalDisplayRecords" => count($data),
            "aaData" => $data
        );
        echo json_encode($results);
        break;
    case "guardar":
        $datos = array("tabla" => "matricula",
            "matriculadbk" => $_POST["matriculadbk"],
            "estudiante" => $_POST["estudiante"],
            "codcar" => $_POST["codcar"],
            "periodo" => $_SESSION["periodbk"],
            "fecha" => $_POST["fecha"],
            "itinerario" => $_POST["itinerario"],
            "tipo" => $_POST["tipo"]
        );
        $matricula->mdlActualizarMatricula($datos);
        break;
    case "comboEstudiantePorCarrera":
        $datos = $matricula->ConsultarFiltro($_POST["carreradbk"]);
        if (is_array($datos) == true and count($datos) > 0) {
            foreach ($datos as $row) {
                $html .= "<option value='" . $row['personadbk'] . "'>" . $row['nombre'] . "</option>";
            }
            echo $html;
        }
        break;
    case "eliminar_matricula":
        $datos = $matricula->Eliminar_por_ID($_POST["matriculadbk"]);
        break;
}
?>
